Bug 485799 - KDM inconsistencies with respect to virtual terminals and related problem
KDM inconsistencies with respect to virtual terminals and related problem
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
rawhide
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-16 15:16 EST by Peter Gückel
Modified: 2009-05-14 20:26 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-14 20:26:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Gückel 2009-02-16 15:16:11 EST
Description of problem:
When in a KDE session, once can change to another virtual terminal with ctrl-alt-f2 to f6 and get back to graphical with ctrl-alt-f1; however, in KDM, if one selects console login on the KDM menu, then tries to get back to KDM and graphical mode, there is no way (I know of), other than typing startx. This works, but now graphical is on ctrl-alt-f7 and ctrl-alt-f1 is just a black screen.

Version-Release number of selected component (if applicable):
4.2.0-10.fc11.i386

How reproducible:
Select console login on the kdm menu

Steps to Reproduce:
1. Select kdm console login
2. End console session with startx
3. See that now one is on vt7 (not vt1)
  
Actual results:
As described above

Expected results:
KDM should be consistent with other methods of changing virtual terminals and should respect the recent move of graphical to vt1.

Additional info:
So, how does one get back to KDM after having completed a console session that had been initiated via KDM?
Comment 1 Rex Dieter 2009-02-16 15:18:51 EST
kdm should restart after you logout of the console.  Is that not happening?
Comment 2 Peter Gückel 2009-02-16 21:08:12 EST
No, KDM does not restart. I tried ctrl-alt-F1, F7, again and again, I tried running KDM manually as root, still nothing, and logging out just leaves me at the login prompt, otherwise nothing happens. The only way I can get back to a graphical session is to log back in and type startx.
Comment 3 Peter Gückel 2009-02-16 21:13:23 EST
I have been fiddling with Sidux a little over the last few months, just to see how a rolling distro without releases works (I'm not really impressed, as it is all ancient and not cutting edge like Fedora), but getting back to the point, there, when I log out, I AM returned to KDM, so it must be a Fedora-specific problem.
Comment 4 Rex Dieter 2009-02-16 21:54:35 EST
OK, I've been seeing problems with kdm, on shutdown/restart thinking someone is still logged into a virtual terminal, even though I had logged out.  I'd venture that it's the same bug here (kdm not recognizing the logout).
Comment 5 Steven M. Parrish 2009-04-04 17:14:53 EDT
Looks like this needs to be reported upstream.  Please file a report at http://bugs.kde.org and add upstream info to this report.  We will monitor the upstream report for a resolution.
Comment 6 Steven M. Parrish 2009-05-14 20:26:18 EDT
It has been more than 30 days since a request was made to report this upstream.  At this time am going to close this as INSUFFICIENT_DATA.  Please feel free to reopen and include the upstream bug info.

Note You need to log in before you can comment on or make changes to this bug.